Skip to main content
PUT
cURL

Authorizations

Authorization
string
header
required

Use the Bearer scheme with a valid JWT token to authenticate requests. Example: Authorization: Bearer <token>

Path Parameters

id
string
required

The UUID (any version) of the series to create.

Example:

"a8904315-3d16-4a95-91c1-30d6cdde553e"

Body

application/json
code
string

A code that can be used to identify the series.

Example:

"SALES-2020"

description
string

A description of the series.

Example:

"This series is used for sales."

name
string

The name of the series.

Example:

"My Series"

padding
integer

The number of 0s to pad the generated codes with.

Example:

5

prefix
string

A prefix that will be prepended to all entries.

Example:

"INV-"

sig
string

JSON Web Signature of the key properties used to create the series.

start
integer

The starting index for the series.

Example:

1

suffix
string

A suffix that will be appended to all entries.

Example:

"-F1"

Response

200 - application/json

OK

code
string

A code that can be used to identify the series.

Example:

"SALES-2020"

created_at
string

The date and time the series was created.

Example:

"2020-10-01T00:00:00Z"

description
string

A description of the series.

Example:

"This series is used for sales."

id
string

The UUID (any version) of the series.

Example:

"a8904315-3d16-4a95-91c1-30d6cdde553e"

last_entry_id
string

The ID of the last entry in the series.

Example:

"a8904315-3d16-4a95-91c1-30d6cdde553e"

last_index
integer

The last index used in the series.

Example:

100

name
string

The name of the series.

Example:

"My Series"

padding
integer

The number of 0s to pad the generated codes with.

Example:

5

prefix
string

A prefix that will be prepended to all entries.

Example:

"INV-"

suffix
string

A suffix that will be appended to all entries.

Example:

"-F1"

updated_at
string

The date and time the series was last updated.

Example:

"2020-10-01T00:00:00Z"